cURL
Account Management API
Available Datacenter & ISP IPs/zone
Use the Bright Data Account Management API to available Datacenter & ISP IPs/Zone. GET /zone/route_ips returns 200 OK with zone or account JSON.
GET
cURL
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Query Parameters
Zone
2-letter Country code
Return JSON array of [{ip, country},..] instead of plain list of IPs
Response
200 - application/json
Successful response with plain IPs list separated by new line, or JSON array of [{ip, country},..] in case list_countries=true